متصلون الآن  

/v1/beta_program/

Beta Program invite-code endpoints. Auth: every endpoint requires an authenticated user ($_APIUserID > 0).
GET

/v1/beta_program/get_invite_commission_preview

#
Return the legacy invite-friends commission preview as structured data, using the authenticated user's current commission permissions.
مثال طلب (cURL)
curl --get \
  'https://ar.appointmenttrader.com/v1/beta_program/get_invite_commission_preview' \
  --data-urlencode 'key={{API_KEY}}'

القيمة المُرجعة

JSON
See the shared response schema and synthetic example.
حقول الاستجابة
الحقلالنوعمطلوبالوصف
$beta_program_get_invite_commission_preview_Response نعم
$.oneOf[0] نعم
$.oneOf[0].allOf[0]object نعم
$.oneOf[0].allOf[0].RequestUserAliasstring نعم
$.oneOf[0].allOf[0].RequestPathstring | null نعم
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" نعم
$.oneOf[0].allOf[0].ResponseCodeinteger نعم
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage لا
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage لا
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring لا
$.oneOf[0].allOf[1]object نعم
$.oneOf[0].allOf[1].Payloadobject نعم
$.oneOf[0].allOf[1].Payload.headlinestring نعم
$.oneOf[0].allOf[1].Payload.introstring نعم
$.oneOf[0].allOf[1].Payload.friendColumnLabelstring نعم
$.oneOf[0].allOf[1].Payload.earnColumnLabelstring نعم
$.oneOf[0].allOf[1].Payload.totalLabelstring نعم
$.oneOf[0].allOf[1].Payload.totalFormattedstring نعم
$.oneOf[0].allOf[1].Payload.footnotestring نعم
$.oneOf[0].allOf[1].Payload.statusNotestring نعم
$.oneOf[0].allOf[1].Payload.statusURLstring نعم
$.oneOf[0].allOf[1].Payload.examplePurchaseLabelstring نعم
$.oneOf[0].allOf[1].Payload.totalnumber نعم
$.oneOf[0].allOf[1].Payload.examplePurchasePriceinteger نعم
$.oneOf[0].allOf[1].Payload.standardFeePercentnumber نعم
$.oneOf[0].allOf[1].Payload.rowsarray نعم
$.oneOf[0].allOf[1].Payload.rows[]object لا
$.oneOf[0].allOf[1].Payload.rows[].keystring ["first_purchase","monthly_use","first_sale","recurring_sales"] نعم
$.oneOf[0].allOf[1].Payload.rows[].labelstring نعم
$.oneOf[0].allOf[1].Payload.rows[].amountnumber نعم
$.oneOf[0].allOf[1].Payload.rows[].amountFormattedstring نعم
$.oneOf[1]object نعم
$.oneOf[1].RequestUserAliasstring نعم
$.oneOf[1].RequestPathstring | null نعم
$.oneOf[1].RequestStatus = "Failed" نعم
$.oneOf[1].ResponseCodeinteger نعم
$.oneOf[1].ResponseMessageAPIResponseMessage نعم
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null نعم
$.oneOf[1].ResponseMessage.oneOf[1]array نعم
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage لا
$.oneOf[1].ResponseMessage.oneOf[2]object نعم
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage لا
$.oneOf[1].RequestImpersonatedByUserAliasstring لا
مثال استجابة
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/beta_program/get_invite_commission_preview",
    "RequestUserAlias": "example-user",
    "Payload": {
        "headline": "synthetic-example",
        "intro": "synthetic-example",
        "friendColumnLabel": "synthetic-example",
        "earnColumnLabel": "synthetic-example",
        "totalLabel": "synthetic-example",
        "totalFormatted": "synthetic-example",
        "footnote": "synthetic-example",
        "statusNote": "synthetic-example",
        "statusURL": "synthetic-example",
        "examplePurchaseLabel": "synthetic-example",
        "total": 0,
        "examplePurchasePrice": 0,
        "standardFeePercent": 0,
        "rows": []
    }
}
توثيق نقطة النهاية القابل للقراءة آليًا
GET

/v1/beta_program/get_invites

#
Return the authenticated user's beta invite summary, including remaining credits, return credits from redeemed codes, active unused codes, and redeemed codes with claimant details.
مثال طلب (cURL)
curl --get \
  'https://ar.appointmenttrader.com/v1/beta_program/get_invites' \
  --data-urlencode 'key={{API_KEY}}'

القيمة المُرجعة

JSON
See the shared response schema and synthetic example.
حقول الاستجابة
الحقلالنوعمطلوبالوصف
$beta_program_get_invites_Response نعم
$.oneOf[0] نعم
$.oneOf[0].allOf[0]object نعم
$.oneOf[0].allOf[0].RequestUserAliasstring نعم
$.oneOf[0].allOf[0].RequestPathstring | null نعم
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" نعم
$.oneOf[0].allOf[0].ResponseCodeinteger نعم
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage لا
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage لا
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring لا
$.oneOf[0].allOf[1]object نعم
$.oneOf[0].allOf[1].Payloadobject نعم
$.oneOf[0].allOf[1].Payload.baseCreditsinteger نعم
$.oneOf[0].allOf[1].Payload.signupCreditsinteger نعم
$.oneOf[0].allOf[1].Payload.redeemedReturnCreditsinteger نعم
$.oneOf[0].allOf[1].Payload.issuedInviteCountinteger نعم
$.oneOf[0].allOf[1].Payload.unusedInviteCountinteger نعم
$.oneOf[0].allOf[1].Payload.redeemedCountinteger نعم
$.oneOf[0].allOf[1].Payload.invitesLeftinteger نعم
$.oneOf[0].allOf[1].Payload.invitesLeftLabelstring نعم
$.oneOf[0].allOf[1].Payload.sidebarLabelstring نعم
$.oneOf[0].allOf[1].Payload.activeCodesarray نعم
$.oneOf[0].allOf[1].Payload.activeCodes[]object لا
$.oneOf[0].allOf[1].Payload.activeCodes[].codestring نعم
$.oneOf[0].allOf[1].Payload.activeCodes[].formattedCodestring نعم
$.oneOf[0].allOf[1].Payload.activeCodes[].inviteURLstring نعم
$.oneOf[0].allOf[1].Payload.activeCodes[].createdDatestring نعم
$.oneOf[0].allOf[1].Payload.activeCodes[].createdDateLabelstring نعم
$.oneOf[0].allOf[1].Payload.activeCodes[].issuedToAliasstring نعم
$.oneOf[0].allOf[1].Payload.activeCodes[].issuedToEmailstring نعم
$.oneOf[0].allOf[1].Payload.activeCodes[].issuedToLabelstring نعم
$.oneOf[0].allOf[1].Payload.activeCodes[].issuedToProfileURLstring نعم
$.oneOf[0].allOf[1].Payload.activeCodes[].issuedByAliasstring نعم
$.oneOf[0].allOf[1].Payload.activeCodes[].issueSourcestring نعم
$.oneOf[0].allOf[1].Payload.activeCodes[].idinteger نعم
$.oneOf[0].allOf[1].Payload.activeCodes[].issuedToUserIDinteger نعم
$.oneOf[0].allOf[1].Payload.activeCodes[].issuedByUserIDinteger نعم
$.oneOf[0].allOf[1].Payload.activeCodes[].contextObjectIDinteger نعم
$.oneOf[0].allOf[1].Payload.activeCodes[].isInviteCreditExemptboolean نعم
$.oneOf[0].allOf[1].Payload.activeCodes[].invitePurposestring ["","beta_access","generic_invite","board_secretary","board_membership"] نعم
$.oneOf[0].allOf[1].Payload.activeCodes[].contextTypestring ["","board"] نعم
$.oneOf[0].allOf[1].Payload.activeCodes[].presetProfileIntentstring ["","buy","sell","socialize","location-partner"] نعم
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayloadInviteContext نعم
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0]object نعم
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].boardIdinteger لا
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].capabilities لا
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].capabilities.anyOf[0]array لا
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].capabilities.anyOf[0][]string ["invite","read","write","delete","move","schedule","polls","moderate"] لا
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].capabilities.anyOf[1]string لا
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].capabilities.anyOf[2]object لا
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].capabilities.anyOf[2].* لا
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].capabilities.anyOf[2].*.anyOf[0]boolean لا
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].capabilities.anyOf[2].*.anyOf[1]integer لا
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].capabilities.anyOf[2].*.anyOf[2]string لا
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].profileImageMediaIDDatabaseInteger لاInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].profileImageMediaID.oneOf[0]integer لا
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].profileImageMediaID.oneOf[1]string لا
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].bannerImageMediaIDDatabaseInteger لاInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].bannerImageMediaID.oneOf[0]integer لا
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].bannerImageMediaID.oneOf[1]string لا
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].*InviteContextJSONValue لا
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].*.anyOf[0]null لا
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].*.anyOf[1]string لا
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].*.anyOf[2]number لا
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].*.anyOf[3]boolean لا
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].*.anyOf[4]array لا
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].*.anyOf[4][]InviteContextJSONValue لا
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].*.anyOf[5]object لا
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].*.anyOf[5].*InviteContextJSONValue لا
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[1]array نعم
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[1][]InviteContextJSONValue لا
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[1][].anyOf[0]null لا
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[1][].anyOf[1]string لا
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[1][].anyOf[2]number لا
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[1][].anyOf[3]boolean لا
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[1][].anyOf[4]array لا
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[1][].anyOf[4][]InviteContextJSONValue لا
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[1][].anyOf[5]object لا
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[1][].anyOf[5].*InviteContextJSONValue لا
$.oneOf[0].allOf[1].Payload.redeemedCodesarray نعم
$.oneOf[0].allOf[1].Payload.redeemedCodes[]object لا
$.oneOf[0].allOf[1].Payload.redeemedCodes[].codestring نعم
$.oneOf[0].allOf[1].Payload.redeemedCodes[].formattedCodestring نعم
$.oneOf[0].allOf[1].Payload.redeemedCodes[].inviteURLstring نعم
$.oneOf[0].allOf[1].Payload.redeemedCodes[].createdDatestring نعم
$.oneOf[0].allOf[1].Payload.redeemedCodes[].createdDateLabelstring نعم
$.oneOf[0].allOf[1].Payload.redeemedCodes[].issuedToAliasstring نعم
$.oneOf[0].allOf[1].Payload.redeemedCodes[].issuedToEmailstring نعم
$.oneOf[0].allOf[1].Payload.redeemedCodes[].issuedToLabelstring نعم
$.oneOf[0].allOf[1].Payload.redeemedCodes[].issuedToProfileURLstring نعم
$.oneOf[0].allOf[1].Payload.redeemedCodes[].issuedByAliasstring نعم
$.oneOf[0].allOf[1].Payload.redeemedCodes[].issueSourcestring نعم
$.oneOf[0].allOf[1].Payload.redeemedCodes[].idinteger نعم
$.oneOf[0].allOf[1].Payload.redeemedCodes[].issuedToUserIDinteger نعم
$.oneOf[0].allOf[1].Payload.redeemedCodes[].issuedByUserIDinteger نعم
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextObjectIDinteger نعم
$.oneOf[0].allOf[1].Payload.redeemedCodes[].isInviteCreditExemptboolean نعم
$.oneOf[0].allOf[1].Payload.redeemedCodes[].invitePurposestring ["","beta_access","generic_invite","board_secretary","board_membership"] نعم
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextTypestring ["","board"] نعم
$.oneOf[0].allOf[1].Payload.redeemedCodes[].presetProfileIntentstring ["","buy","sell","socialize","location-partner"] نعم
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayloadInviteContext نعم
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0]object نعم
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].boardIdinteger لا
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].capabilities لا
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].capabilities.anyOf[0]array لا
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].capabilities.anyOf[0][]string ["invite","read","write","delete","move","schedule","polls","moderate"] لا
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].capabilities.anyOf[1]string لا
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].capabilities.anyOf[2]object لا
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].capabilities.anyOf[2].* لا
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].capabilities.anyOf[2].*.anyOf[0]boolean لا
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].capabilities.anyOf[2].*.anyOf[1]integer لا
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].capabilities.anyOf[2].*.anyOf[2]string لا
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].profileImageMediaIDDatabaseInteger لاInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].profileImageMediaID.oneOf[0]integer لا
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].profileImageMediaID.oneOf[1]string لا
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].bannerImageMediaIDDatabaseInteger لاInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].bannerImageMediaID.oneOf[0]integer لا
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].bannerImageMediaID.oneOf[1]string لا
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].*InviteContextJSONValue لا
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].*.anyOf[0]null لا
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].*.anyOf[1]string لا
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].*.anyOf[2]number لا
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].*.anyOf[3]boolean لا
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].*.anyOf[4]array لا
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].*.anyOf[4][]InviteContextJSONValue لا
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].*.anyOf[5]object لا
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].*.anyOf[5].*InviteContextJSONValue لا
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[1]array نعم
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[1][]InviteContextJSONValue لا
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[1][].anyOf[0]null لا
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[1][].anyOf[1]string لا
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[1][].anyOf[2]number لا
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[1][].anyOf[3]boolean لا
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[1][].anyOf[4]array لا
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[1][].anyOf[4][]InviteContextJSONValue لا
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[1][].anyOf[5]object لا
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[1][].anyOf[5].*InviteContextJSONValue لا
$.oneOf[0].allOf[1].Payload.redeemedCodes[].redeemedByUserIDinteger نعم
$.oneOf[0].allOf[1].Payload.redeemedCodes[].redeemedByAliasstring نعم
$.oneOf[0].allOf[1].Payload.redeemedCodes[].redeemedByAvatarstring نعم
$.oneOf[0].allOf[1].Payload.redeemedCodes[].redeemedByProfileURLstring نعم
$.oneOf[0].allOf[1].Payload.redeemedCodes[].redeemedDatestring نعم
$.oneOf[0].allOf[1].Payload.redeemedCodes[].redeemedDateLabelstring نعم
$.oneOf[0].allOf[1].Payload.redeemedCodes[].redeemSourcestring نعم
$.oneOf[0].allOf[1].Payload.redeemedCodes[].isSignupCreditGrantedboolean نعم
$.oneOf[1]object نعم
$.oneOf[1].RequestUserAliasstring نعم
$.oneOf[1].RequestPathstring | null نعم
$.oneOf[1].RequestStatus = "Failed" نعم
$.oneOf[1].ResponseCodeinteger نعم
$.oneOf[1].ResponseMessageAPIResponseMessage نعم
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null نعم
$.oneOf[1].ResponseMessage.oneOf[1]array نعم
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage لا
$.oneOf[1].ResponseMessage.oneOf[2]object نعم
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage لا
$.oneOf[1].RequestImpersonatedByUserAliasstring لا
مثال استجابة
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/beta_program/get_invites",
    "RequestUserAlias": "example-user",
    "Payload": {
        "baseCredits": 0,
        "signupCredits": 0,
        "redeemedReturnCredits": 0,
        "issuedInviteCount": 0,
        "unusedInviteCount": 0,
        "redeemedCount": 0,
        "invitesLeft": 0,
        "invitesLeftLabel": "synthetic-example",
        "sidebarLabel": "synthetic-example",
        "activeCodes": [],
        "redeemedCodes": []
    }
}
توثيق نقطة النهاية القابل للقراءة آليًا
POST

/v1/beta_program/set_create_invite_code

#
Create one unused beta invite code if the authenticated user has invite credits remaining. Creating an unused code consumes one visible credit.

المعلمات

الاسمالنوعمطلوبالافتراضيالوصف
isWritingRequest bool لا false Set true to actually create the invite code.
مثال طلب (cURL)
curl --request POST \
  'https://ar.appointmenttrader.com/v1/beta_program/set_create_invite_code' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'isWritingRequest={{isWritingRequest}}'

القيمة المُرجعة

JSON
See the shared response schema and synthetic example.
حقول الاستجابة
الحقلالنوعمطلوبالوصف
$beta_program_set_create_invite_code_Response نعم
$.oneOf[0] نعم
$.oneOf[0].allOf[0]object نعم
$.oneOf[0].allOf[0].RequestUserAliasstring نعم
$.oneOf[0].allOf[0].RequestPathstring | null نعم
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" نعم
$.oneOf[0].allOf[0].ResponseCodeinteger نعم
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage لا
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage لا
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring لا
$.oneOf[0].allOf[1]object نعم
$.oneOf[0].allOf[1].Payloadobject نعم
$.oneOf[0].allOf[1].Payload.baseCreditsinteger نعم
$.oneOf[0].allOf[1].Payload.signupCreditsinteger نعم
$.oneOf[0].allOf[1].Payload.redeemedReturnCreditsinteger نعم
$.oneOf[0].allOf[1].Payload.issuedInviteCountinteger نعم
$.oneOf[0].allOf[1].Payload.unusedInviteCountinteger نعم
$.oneOf[0].allOf[1].Payload.redeemedCountinteger نعم
$.oneOf[0].allOf[1].Payload.invitesLeftinteger نعم
$.oneOf[0].allOf[1].Payload.invitesLeftLabelstring نعم
$.oneOf[0].allOf[1].Payload.sidebarLabelstring نعم
$.oneOf[0].allOf[1].Payload.activeCodesarray نعم
$.oneOf[0].allOf[1].Payload.activeCodes[]object لا
$.oneOf[0].allOf[1].Payload.activeCodes[].codestring نعم
$.oneOf[0].allOf[1].Payload.activeCodes[].formattedCodestring نعم
$.oneOf[0].allOf[1].Payload.activeCodes[].inviteURLstring نعم
$.oneOf[0].allOf[1].Payload.activeCodes[].createdDatestring نعم
$.oneOf[0].allOf[1].Payload.activeCodes[].createdDateLabelstring نعم
$.oneOf[0].allOf[1].Payload.activeCodes[].issuedToAliasstring نعم
$.oneOf[0].allOf[1].Payload.activeCodes[].issuedToEmailstring نعم
$.oneOf[0].allOf[1].Payload.activeCodes[].issuedToLabelstring نعم
$.oneOf[0].allOf[1].Payload.activeCodes[].issuedToProfileURLstring نعم
$.oneOf[0].allOf[1].Payload.activeCodes[].issuedByAliasstring نعم
$.oneOf[0].allOf[1].Payload.activeCodes[].issueSourcestring نعم
$.oneOf[0].allOf[1].Payload.activeCodes[].idinteger نعم
$.oneOf[0].allOf[1].Payload.activeCodes[].issuedToUserIDinteger نعم
$.oneOf[0].allOf[1].Payload.activeCodes[].issuedByUserIDinteger نعم
$.oneOf[0].allOf[1].Payload.activeCodes[].contextObjectIDinteger نعم
$.oneOf[0].allOf[1].Payload.activeCodes[].isInviteCreditExemptboolean نعم
$.oneOf[0].allOf[1].Payload.activeCodes[].invitePurposestring ["","beta_access","generic_invite","board_secretary","board_membership"] نعم
$.oneOf[0].allOf[1].Payload.activeCodes[].contextTypestring ["","board"] نعم
$.oneOf[0].allOf[1].Payload.activeCodes[].presetProfileIntentstring ["","buy","sell","socialize","location-partner"] نعم
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayloadInviteContext نعم
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0]object نعم
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].boardIdinteger لا
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].capabilities لا
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].capabilities.anyOf[0]array لا
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].capabilities.anyOf[0][]string ["invite","read","write","delete","move","schedule","polls","moderate"] لا
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].capabilities.anyOf[1]string لا
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].capabilities.anyOf[2]object لا
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].capabilities.anyOf[2].* لا
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].capabilities.anyOf[2].*.anyOf[0]boolean لا
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].capabilities.anyOf[2].*.anyOf[1]integer لا
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].capabilities.anyOf[2].*.anyOf[2]string لا
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].profileImageMediaIDDatabaseInteger لاInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].profileImageMediaID.oneOf[0]integer لا
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].profileImageMediaID.oneOf[1]string لا
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].bannerImageMediaIDDatabaseInteger لاInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].bannerImageMediaID.oneOf[0]integer لا
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].bannerImageMediaID.oneOf[1]string لا
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].*InviteContextJSONValue لا
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].*.anyOf[0]null لا
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].*.anyOf[1]string لا
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].*.anyOf[2]number لا
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].*.anyOf[3]boolean لا
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].*.anyOf[4]array لا
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].*.anyOf[4][]InviteContextJSONValue لا
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].*.anyOf[5]object لا
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].*.anyOf[5].*InviteContextJSONValue لا
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[1]array نعم
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[1][]InviteContextJSONValue لا
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[1][].anyOf[0]null لا
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[1][].anyOf[1]string لا
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[1][].anyOf[2]number لا
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[1][].anyOf[3]boolean لا
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[1][].anyOf[4]array لا
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[1][].anyOf[4][]InviteContextJSONValue لا
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[1][].anyOf[5]object لا
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[1][].anyOf[5].*InviteContextJSONValue لا
$.oneOf[0].allOf[1].Payload.redeemedCodesarray نعم
$.oneOf[0].allOf[1].Payload.redeemedCodes[]object لا
$.oneOf[0].allOf[1].Payload.redeemedCodes[].codestring نعم
$.oneOf[0].allOf[1].Payload.redeemedCodes[].formattedCodestring نعم
$.oneOf[0].allOf[1].Payload.redeemedCodes[].inviteURLstring نعم
$.oneOf[0].allOf[1].Payload.redeemedCodes[].createdDatestring نعم
$.oneOf[0].allOf[1].Payload.redeemedCodes[].createdDateLabelstring نعم
$.oneOf[0].allOf[1].Payload.redeemedCodes[].issuedToAliasstring نعم
$.oneOf[0].allOf[1].Payload.redeemedCodes[].issuedToEmailstring نعم
$.oneOf[0].allOf[1].Payload.redeemedCodes[].issuedToLabelstring نعم
$.oneOf[0].allOf[1].Payload.redeemedCodes[].issuedToProfileURLstring نعم
$.oneOf[0].allOf[1].Payload.redeemedCodes[].issuedByAliasstring نعم
$.oneOf[0].allOf[1].Payload.redeemedCodes[].issueSourcestring نعم
$.oneOf[0].allOf[1].Payload.redeemedCodes[].idinteger نعم
$.oneOf[0].allOf[1].Payload.redeemedCodes[].issuedToUserIDinteger نعم
$.oneOf[0].allOf[1].Payload.redeemedCodes[].issuedByUserIDinteger نعم
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextObjectIDinteger نعم
$.oneOf[0].allOf[1].Payload.redeemedCodes[].isInviteCreditExemptboolean نعم
$.oneOf[0].allOf[1].Payload.redeemedCodes[].invitePurposestring ["","beta_access","generic_invite","board_secretary","board_membership"] نعم
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextTypestring ["","board"] نعم
$.oneOf[0].allOf[1].Payload.redeemedCodes[].presetProfileIntentstring ["","buy","sell","socialize","location-partner"] نعم
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayloadInviteContext نعم
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0]object نعم
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].boardIdinteger لا
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].capabilities لا
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].capabilities.anyOf[0]array لا
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].capabilities.anyOf[0][]string ["invite","read","write","delete","move","schedule","polls","moderate"] لا
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].capabilities.anyOf[1]string لا
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].capabilities.anyOf[2]object لا
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].capabilities.anyOf[2].* لا
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].capabilities.anyOf[2].*.anyOf[0]boolean لا
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].capabilities.anyOf[2].*.anyOf[1]integer لا
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].capabilities.anyOf[2].*.anyOf[2]string لا
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].profileImageMediaIDDatabaseInteger لاInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].profileImageMediaID.oneOf[0]integer لا
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].profileImageMediaID.oneOf[1]string لا
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].bannerImageMediaIDDatabaseInteger لاInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].bannerImageMediaID.oneOf[0]integer لا
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].bannerImageMediaID.oneOf[1]string لا
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].*InviteContextJSONValue لا
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].*.anyOf[0]null لا
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].*.anyOf[1]string لا
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].*.anyOf[2]number لا
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].*.anyOf[3]boolean لا
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].*.anyOf[4]array لا
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].*.anyOf[4][]InviteContextJSONValue لا
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].*.anyOf[5]object لا
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].*.anyOf[5].*InviteContextJSONValue لا
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[1]array نعم
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[1][]InviteContextJSONValue لا
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[1][].anyOf[0]null لا
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[1][].anyOf[1]string لا
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[1][].anyOf[2]number لا
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[1][].anyOf[3]boolean لا
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[1][].anyOf[4]array لا
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[1][].anyOf[4][]InviteContextJSONValue لا
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[1][].anyOf[5]object لا
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[1][].anyOf[5].*InviteContextJSONValue لا
$.oneOf[0].allOf[1].Payload.redeemedCodes[].redeemedByUserIDinteger نعم
$.oneOf[0].allOf[1].Payload.redeemedCodes[].redeemedByAliasstring نعم
$.oneOf[0].allOf[1].Payload.redeemedCodes[].redeemedByAvatarstring نعم
$.oneOf[0].allOf[1].Payload.redeemedCodes[].redeemedByProfileURLstring نعم
$.oneOf[0].allOf[1].Payload.redeemedCodes[].redeemedDatestring نعم
$.oneOf[0].allOf[1].Payload.redeemedCodes[].redeemedDateLabelstring نعم
$.oneOf[0].allOf[1].Payload.redeemedCodes[].redeemSourcestring نعم
$.oneOf[0].allOf[1].Payload.redeemedCodes[].isSignupCreditGrantedboolean نعم
$.oneOf[0].allOf[1].Payload.createdInviteobject لا
$.oneOf[0].allOf[1].Payload.createdInvite.codestring نعم
$.oneOf[0].allOf[1].Payload.createdInvite.formattedCodestring نعم
$.oneOf[0].allOf[1].Payload.createdInvite.inviteURLstring نعم
$.oneOf[0].allOf[1].Payload.createdInvite.createdDatestring نعم
$.oneOf[0].allOf[1].Payload.createdInvite.createdDateLabelstring نعم
$.oneOf[0].allOf[1].Payload.createdInvite.issuedToAliasstring نعم
$.oneOf[0].allOf[1].Payload.createdInvite.issuedToEmailstring نعم
$.oneOf[0].allOf[1].Payload.createdInvite.issuedToLabelstring نعم
$.oneOf[0].allOf[1].Payload.createdInvite.issuedToProfileURLstring نعم
$.oneOf[0].allOf[1].Payload.createdInvite.issuedByAliasstring نعم
$.oneOf[0].allOf[1].Payload.createdInvite.issueSourcestring نعم
$.oneOf[0].allOf[1].Payload.createdInvite.idinteger نعم
$.oneOf[0].allOf[1].Payload.createdInvite.issuedToUserIDinteger نعم
$.oneOf[0].allOf[1].Payload.createdInvite.issuedByUserIDinteger نعم
$.oneOf[0].allOf[1].Payload.createdInvite.contextObjectIDinteger نعم
$.oneOf[0].allOf[1].Payload.createdInvite.isInviteCreditExemptboolean نعم
$.oneOf[0].allOf[1].Payload.createdInvite.invitePurposestring ["","beta_access","generic_invite","board_secretary","board_membership"] نعم
$.oneOf[0].allOf[1].Payload.createdInvite.contextTypestring ["","board"] نعم
$.oneOf[0].allOf[1].Payload.createdInvite.presetProfileIntentstring ["","buy","sell","socialize","location-partner"] نعم
$.oneOf[0].allOf[1].Payload.createdInvite.contextPayloadInviteContext نعم
$.oneOf[0].allOf[1].Payload.createdInvite.contextPayload.oneOf[0]object نعم
$.oneOf[0].allOf[1].Payload.createdInvite.contextPayload.oneOf[0].boardIdinteger لا
$.oneOf[0].allOf[1].Payload.createdInvite.contextPayload.oneOf[0].capabilities لا
$.oneOf[0].allOf[1].Payload.createdInvite.contextPayload.oneOf[0].capabilities.anyOf[0]array لا
$.oneOf[0].allOf[1].Payload.createdInvite.contextPayload.oneOf[0].capabilities.anyOf[0][]string ["invite","read","write","delete","move","schedule","polls","moderate"] لا
$.oneOf[0].allOf[1].Payload.createdInvite.contextPayload.oneOf[0].capabilities.anyOf[1]string لا
$.oneOf[0].allOf[1].Payload.createdInvite.contextPayload.oneOf[0].capabilities.anyOf[2]object لا
$.oneOf[0].allOf[1].Payload.createdInvite.contextPayload.oneOf[0].capabilities.anyOf[2].* لا
$.oneOf[0].allOf[1].Payload.createdInvite.contextPayload.oneOf[0].capabilities.anyOf[2].*.anyOf[0]boolean لا
$.oneOf[0].allOf[1].Payload.createdInvite.contextPayload.oneOf[0].capabilities.anyOf[2].*.anyOf[1]integer لا
$.oneOf[0].allOf[1].Payload.createdInvite.contextPayload.oneOf[0].capabilities.anyOf[2].*.anyOf[2]string لا
$.oneOf[0].allOf[1].Payload.createdInvite.contextPayload.oneOf[0].profileImageMediaIDDatabaseInteger لاInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.createdInvite.contextPayload.oneOf[0].profileImageMediaID.oneOf[0]integer لا
$.oneOf[0].allOf[1].Payload.createdInvite.contextPayload.oneOf[0].profileImageMediaID.oneOf[1]string لا
$.oneOf[0].allOf[1].Payload.createdInvite.contextPayload.oneOf[0].bannerImageMediaIDDatabaseInteger لاInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.createdInvite.contextPayload.oneOf[0].bannerImageMediaID.oneOf[0]integer لا
$.oneOf[0].allOf[1].Payload.createdInvite.contextPayload.oneOf[0].bannerImageMediaID.oneOf[1]string لا
$.oneOf[0].allOf[1].Payload.createdInvite.contextPayload.oneOf[0].*InviteContextJSONValue لا
$.oneOf[0].allOf[1].Payload.createdInvite.contextPayload.oneOf[0].*.anyOf[0]null لا
$.oneOf[0].allOf[1].Payload.createdInvite.contextPayload.oneOf[0].*.anyOf[1]string لا
$.oneOf[0].allOf[1].Payload.createdInvite.contextPayload.oneOf[0].*.anyOf[2]number لا
$.oneOf[0].allOf[1].Payload.createdInvite.contextPayload.oneOf[0].*.anyOf[3]boolean لا
$.oneOf[0].allOf[1].Payload.createdInvite.contextPayload.oneOf[0].*.anyOf[4]array لا
$.oneOf[0].allOf[1].Payload.createdInvite.contextPayload.oneOf[0].*.anyOf[4][]InviteContextJSONValue لا
$.oneOf[0].allOf[1].Payload.createdInvite.contextPayload.oneOf[0].*.anyOf[5]object لا
$.oneOf[0].allOf[1].Payload.createdInvite.contextPayload.oneOf[0].*.anyOf[5].*InviteContextJSONValue لا
$.oneOf[0].allOf[1].Payload.createdInvite.contextPayload.oneOf[1]array نعم
$.oneOf[0].allOf[1].Payload.createdInvite.contextPayload.oneOf[1][]InviteContextJSONValue لا
$.oneOf[0].allOf[1].Payload.createdInvite.contextPayload.oneOf[1][].anyOf[0]null لا
$.oneOf[0].allOf[1].Payload.createdInvite.contextPayload.oneOf[1][].anyOf[1]string لا
$.oneOf[0].allOf[1].Payload.createdInvite.contextPayload.oneOf[1][].anyOf[2]number لا
$.oneOf[0].allOf[1].Payload.createdInvite.contextPayload.oneOf[1][].anyOf[3]boolean لا
$.oneOf[0].allOf[1].Payload.createdInvite.contextPayload.oneOf[1][].anyOf[4]array لا
$.oneOf[0].allOf[1].Payload.createdInvite.contextPayload.oneOf[1][].anyOf[4][]InviteContextJSONValue لا
$.oneOf[0].allOf[1].Payload.createdInvite.contextPayload.oneOf[1][].anyOf[5]object لا
$.oneOf[0].allOf[1].Payload.createdInvite.contextPayload.oneOf[1][].anyOf[5].*InviteContextJSONValue لا
$.oneOf[1]object نعم
$.oneOf[1].RequestUserAliasstring نعم
$.oneOf[1].RequestPathstring | null نعم
$.oneOf[1].RequestStatus = "Failed" نعم
$.oneOf[1].ResponseCodeinteger نعم
$.oneOf[1].ResponseMessageAPIResponseMessage نعم
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null نعم
$.oneOf[1].ResponseMessage.oneOf[1]array نعم
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage لا
$.oneOf[1].ResponseMessage.oneOf[2]object نعم
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage لا
$.oneOf[1].RequestImpersonatedByUserAliasstring لا
مثال استجابة
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/beta_program/set_create_invite_code",
    "RequestUserAlias": "example-user",
    "Payload": {
        "baseCredits": 0,
        "signupCredits": 0,
        "redeemedReturnCredits": 0,
        "issuedInviteCount": 0,
        "unusedInviteCount": 0,
        "redeemedCount": 0,
        "invitesLeft": 0,
        "invitesLeftLabel": "synthetic-example",
        "sidebarLabel": "synthetic-example",
        "activeCodes": [],
        "redeemedCodes": []
    }
}
توثيق نقطة النهاية القابل للقراءة آليًا
POST

/v1/beta_program/set_revoke_invite_code

#
Revoke an unused beta invite code owned by the authenticated user. Revoking an unused code returns one visible invite credit.

المعلمات

الاسمالنوعمطلوبالافتراضيالوصف
inviteCodeID int نعم — Invite code ID from get_invites.
isWritingRequest bool لا false Set true to actually revoke the invite code.
مثال طلب (cURL)
curl --request POST \
  'https://ar.appointmenttrader.com/v1/beta_program/set_revoke_invite_code' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'inviteCodeID={{inviteCodeID}}' \
  --data-urlencode 'isWritingRequest={{isWritingRequest}}'

القيمة المُرجعة

JSON
See the shared response schema and synthetic example.
حقول الاستجابة
الحقلالنوعمطلوبالوصف
$beta_program_set_revoke_invite_code_Response نعم
$.oneOf[0] نعم
$.oneOf[0].allOf[0]object نعم
$.oneOf[0].allOf[0].RequestUserAliasstring نعم
$.oneOf[0].allOf[0].RequestPathstring | null نعم
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" نعم
$.oneOf[0].allOf[0].ResponseCodeinteger نعم
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage لا
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage لا
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring لا
$.oneOf[0].allOf[1]object نعم
$.oneOf[0].allOf[1].Payloadobject نعم
$.oneOf[0].allOf[1].Payload.baseCreditsinteger نعم
$.oneOf[0].allOf[1].Payload.signupCreditsinteger نعم
$.oneOf[0].allOf[1].Payload.redeemedReturnCreditsinteger نعم
$.oneOf[0].allOf[1].Payload.issuedInviteCountinteger نعم
$.oneOf[0].allOf[1].Payload.unusedInviteCountinteger نعم
$.oneOf[0].allOf[1].Payload.redeemedCountinteger نعم
$.oneOf[0].allOf[1].Payload.invitesLeftinteger نعم
$.oneOf[0].allOf[1].Payload.invitesLeftLabelstring نعم
$.oneOf[0].allOf[1].Payload.sidebarLabelstring نعم
$.oneOf[0].allOf[1].Payload.activeCodesarray نعم
$.oneOf[0].allOf[1].Payload.activeCodes[]object لا
$.oneOf[0].allOf[1].Payload.activeCodes[].codestring نعم
$.oneOf[0].allOf[1].Payload.activeCodes[].formattedCodestring نعم
$.oneOf[0].allOf[1].Payload.activeCodes[].inviteURLstring نعم
$.oneOf[0].allOf[1].Payload.activeCodes[].createdDatestring نعم
$.oneOf[0].allOf[1].Payload.activeCodes[].createdDateLabelstring نعم
$.oneOf[0].allOf[1].Payload.activeCodes[].issuedToAliasstring نعم
$.oneOf[0].allOf[1].Payload.activeCodes[].issuedToEmailstring نعم
$.oneOf[0].allOf[1].Payload.activeCodes[].issuedToLabelstring نعم
$.oneOf[0].allOf[1].Payload.activeCodes[].issuedToProfileURLstring نعم
$.oneOf[0].allOf[1].Payload.activeCodes[].issuedByAliasstring نعم
$.oneOf[0].allOf[1].Payload.activeCodes[].issueSourcestring نعم
$.oneOf[0].allOf[1].Payload.activeCodes[].idinteger نعم
$.oneOf[0].allOf[1].Payload.activeCodes[].issuedToUserIDinteger نعم
$.oneOf[0].allOf[1].Payload.activeCodes[].issuedByUserIDinteger نعم
$.oneOf[0].allOf[1].Payload.activeCodes[].contextObjectIDinteger نعم
$.oneOf[0].allOf[1].Payload.activeCodes[].isInviteCreditExemptboolean نعم
$.oneOf[0].allOf[1].Payload.activeCodes[].invitePurposestring ["","beta_access","generic_invite","board_secretary","board_membership"] نعم
$.oneOf[0].allOf[1].Payload.activeCodes[].contextTypestring ["","board"] نعم
$.oneOf[0].allOf[1].Payload.activeCodes[].presetProfileIntentstring ["","buy","sell","socialize","location-partner"] نعم
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayloadInviteContext نعم
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0]object نعم
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].boardIdinteger لا
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].capabilities لا
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].capabilities.anyOf[0]array لا
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].capabilities.anyOf[0][]string ["invite","read","write","delete","move","schedule","polls","moderate"] لا
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].capabilities.anyOf[1]string لا
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].capabilities.anyOf[2]object لا
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].capabilities.anyOf[2].* لا
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].capabilities.anyOf[2].*.anyOf[0]boolean لا
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].capabilities.anyOf[2].*.anyOf[1]integer لا
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].capabilities.anyOf[2].*.anyOf[2]string لا
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].profileImageMediaIDDatabaseInteger لاInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].profileImageMediaID.oneOf[0]integer لا
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].profileImageMediaID.oneOf[1]string لا
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].bannerImageMediaIDDatabaseInteger لاInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].bannerImageMediaID.oneOf[0]integer لا
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].bannerImageMediaID.oneOf[1]string لا
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].*InviteContextJSONValue لا
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].*.anyOf[0]null لا
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].*.anyOf[1]string لا
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].*.anyOf[2]number لا
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].*.anyOf[3]boolean لا
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].*.anyOf[4]array لا
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].*.anyOf[4][]InviteContextJSONValue لا
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].*.anyOf[5]object لا
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[0].*.anyOf[5].*InviteContextJSONValue لا
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[1]array نعم
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[1][]InviteContextJSONValue لا
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[1][].anyOf[0]null لا
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[1][].anyOf[1]string لا
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[1][].anyOf[2]number لا
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[1][].anyOf[3]boolean لا
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[1][].anyOf[4]array لا
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[1][].anyOf[4][]InviteContextJSONValue لا
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[1][].anyOf[5]object لا
$.oneOf[0].allOf[1].Payload.activeCodes[].contextPayload.oneOf[1][].anyOf[5].*InviteContextJSONValue لا
$.oneOf[0].allOf[1].Payload.redeemedCodesarray نعم
$.oneOf[0].allOf[1].Payload.redeemedCodes[]object لا
$.oneOf[0].allOf[1].Payload.redeemedCodes[].codestring نعم
$.oneOf[0].allOf[1].Payload.redeemedCodes[].formattedCodestring نعم
$.oneOf[0].allOf[1].Payload.redeemedCodes[].inviteURLstring نعم
$.oneOf[0].allOf[1].Payload.redeemedCodes[].createdDatestring نعم
$.oneOf[0].allOf[1].Payload.redeemedCodes[].createdDateLabelstring نعم
$.oneOf[0].allOf[1].Payload.redeemedCodes[].issuedToAliasstring نعم
$.oneOf[0].allOf[1].Payload.redeemedCodes[].issuedToEmailstring نعم
$.oneOf[0].allOf[1].Payload.redeemedCodes[].issuedToLabelstring نعم
$.oneOf[0].allOf[1].Payload.redeemedCodes[].issuedToProfileURLstring نعم
$.oneOf[0].allOf[1].Payload.redeemedCodes[].issuedByAliasstring نعم
$.oneOf[0].allOf[1].Payload.redeemedCodes[].issueSourcestring نعم
$.oneOf[0].allOf[1].Payload.redeemedCodes[].idinteger نعم
$.oneOf[0].allOf[1].Payload.redeemedCodes[].issuedToUserIDinteger نعم
$.oneOf[0].allOf[1].Payload.redeemedCodes[].issuedByUserIDinteger نعم
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextObjectIDinteger نعم
$.oneOf[0].allOf[1].Payload.redeemedCodes[].isInviteCreditExemptboolean نعم
$.oneOf[0].allOf[1].Payload.redeemedCodes[].invitePurposestring ["","beta_access","generic_invite","board_secretary","board_membership"] نعم
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextTypestring ["","board"] نعم
$.oneOf[0].allOf[1].Payload.redeemedCodes[].presetProfileIntentstring ["","buy","sell","socialize","location-partner"] نعم
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayloadInviteContext نعم
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0]object نعم
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].boardIdinteger لا
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].capabilities لا
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].capabilities.anyOf[0]array لا
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].capabilities.anyOf[0][]string ["invite","read","write","delete","move","schedule","polls","moderate"] لا
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].capabilities.anyOf[1]string لا
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].capabilities.anyOf[2]object لا
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].capabilities.anyOf[2].* لا
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].capabilities.anyOf[2].*.anyOf[0]boolean لا
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].capabilities.anyOf[2].*.anyOf[1]integer لا
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].capabilities.anyOf[2].*.anyOf[2]string لا
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].profileImageMediaIDDatabaseInteger لاInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].profileImageMediaID.oneOf[0]integer لا
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].profileImageMediaID.oneOf[1]string لا
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].bannerImageMediaIDDatabaseInteger لاInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].bannerImageMediaID.oneOf[0]integer لا
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].bannerImageMediaID.oneOf[1]string لا
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].*InviteContextJSONValue لا
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].*.anyOf[0]null لا
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].*.anyOf[1]string لا
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].*.anyOf[2]number لا
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].*.anyOf[3]boolean لا
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].*.anyOf[4]array لا
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].*.anyOf[4][]InviteContextJSONValue لا
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].*.anyOf[5]object لا
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[0].*.anyOf[5].*InviteContextJSONValue لا
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[1]array نعم
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[1][]InviteContextJSONValue لا
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[1][].anyOf[0]null لا
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[1][].anyOf[1]string لا
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[1][].anyOf[2]number لا
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[1][].anyOf[3]boolean لا
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[1][].anyOf[4]array لا
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[1][].anyOf[4][]InviteContextJSONValue لا
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[1][].anyOf[5]object لا
$.oneOf[0].allOf[1].Payload.redeemedCodes[].contextPayload.oneOf[1][].anyOf[5].*InviteContextJSONValue لا
$.oneOf[0].allOf[1].Payload.redeemedCodes[].redeemedByUserIDinteger نعم
$.oneOf[0].allOf[1].Payload.redeemedCodes[].redeemedByAliasstring نعم
$.oneOf[0].allOf[1].Payload.redeemedCodes[].redeemedByAvatarstring نعم
$.oneOf[0].allOf[1].Payload.redeemedCodes[].redeemedByProfileURLstring نعم
$.oneOf[0].allOf[1].Payload.redeemedCodes[].redeemedDatestring نعم
$.oneOf[0].allOf[1].Payload.redeemedCodes[].redeemedDateLabelstring نعم
$.oneOf[0].allOf[1].Payload.redeemedCodes[].redeemSourcestring نعم
$.oneOf[0].allOf[1].Payload.redeemedCodes[].isSignupCreditGrantedboolean نعم
$.oneOf[1]object نعم
$.oneOf[1].RequestUserAliasstring نعم
$.oneOf[1].RequestPathstring | null نعم
$.oneOf[1].RequestStatus = "Failed" نعم
$.oneOf[1].ResponseCodeinteger نعم
$.oneOf[1].ResponseMessageAPIResponseMessage نعم
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null نعم
$.oneOf[1].ResponseMessage.oneOf[1]array نعم
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage لا
$.oneOf[1].ResponseMessage.oneOf[2]object نعم
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage لا
$.oneOf[1].RequestImpersonatedByUserAliasstring لا
مثال استجابة
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/beta_program/set_revoke_invite_code",
    "RequestUserAlias": "example-user",
    "Payload": {
        "baseCredits": 0,
        "signupCredits": 0,
        "redeemedReturnCredits": 0,
        "issuedInviteCount": 0,
        "unusedInviteCount": 0,
        "redeemedCount": 0,
        "invitesLeft": 0,
        "invitesLeftLabel": "synthetic-example",
        "sidebarLabel": "synthetic-example",
        "activeCodes": [],
        "redeemedCodes": []
    }
}
توثيق نقطة النهاية القابل للقراءة آليًا